package com.ruoyi.common.core.redis.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/3/29
 */
@Getter
@AllArgsConstructor
public enum RedisLockKey {
    USER_APP_BIND("user_app_bind", "用户APP绑定"),
    DEVICE_ONLINE_COMMAND("device_online_command", "设备在线发送命令"),
    ORDER_CREATE("order_create", "订单创建"),
    PAY_CREATE("create_pay", "创建支付"),
    DEVICE_SN_UNIQUE("device_sn_unique", "设备SN唯一"),
    DEVICE_MAC_UNIQUE("device_mac_unique", "设备MAC唯一"),
    USER_NAME_UNIQUE("user_name_unique", "用户账号唯一"),
    DEVICE_IOT_REFRESH("device_iot_refresh", "设备物联网信息刷新"),
    DEVICE_UPDATE_IOT_LOCK("device_update_iot_lock", "设备更新物联网信息锁"),
    DEVICE_IOT_OPERATION("device_iot_operation", "设备物联网操作锁"),
    ORDER_ADMIN_REFUND("order_admin_refund", "订单人工退款锁"),
    ORDER_PAY_RIDE_FEE("order_pay_ride_fee", "订单支付骑行费"),
    VIP_ORDER_CREATE("vip_order_create", "卡券订单创建"),
    DRIVER_INSERT("driver_insert", "驾驶证认证");

    private final String key;
    private final String name;


}
